/*
 * 쐬: 2005/06/04
 *
 * \bh̃Oo̓AhoCX
 */
package diaop.advice;

import java.lang.reflect.Method;

import org.springframework.aop.MethodBeforeAdvice;

/**
 * EnterMethodLogAdvice
 *
 * @author Hiroshi TAKEMOTO
 */
public class EnterMethodLogAdvice
implements MethodBeforeAdvice {
	/* ( Javadoc)
	 * @see org.springframework.aop.MethodBeforeAdvice#before(java.lang.reflect.Method, java.lang.Object[], java.lang.Object)
	 */
	public void before(Method method, Object[] args, Object target)
		throws Throwable {
		System.out.print("enter " + method.getName() + " args=(");
		if (args != null) {
			for (int i = 0; i < args.length; i++) {
				if (i != 0) System.out.print(", ");
				System.out.print(args[i]);
			}
			System.out.println(")");
		}
	}
}
