package diaop.app;

import org.springframework.aop.framework.ProxyFactory;
import org.springframework.aop.support.RegexpMethodPointcutAdvisor;

import diaop.advice.EnterMethodLogAdvice;
import diaop.advice.LeaveMethodLogAdvice;
import diaop.model.Member;
import diaop.util.DbHelper;

public class Ex_3 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// vLV[t@Ng𐶐
		ProxyFactory factory = new ProxyFactory(new Member());
		factory.setProxyTargetClass(true);
		factory.addAdvisor(new RegexpMethodPointcutAdvisor(".*set.*", new EnterMethodLogAdvice()));
		factory.addAdvisor(new RegexpMethodPointcutAdvisor(".*set.*", new LeaveMethodLogAdvice()));
		// t@NgMemberCX^Xo	
		Member shotaro = (Member)factory.getProxy();
		shotaro.setId(new Integer(3));
		shotaro.setName("Y");
		shotaro.setAddress("");
		DbHelper helper = new DbHelper(Member.class);
		System.out.println(helper.toString(shotaro));
	}
}
