/*
 * 쐬: 2005/06/04
 * 
 * \bhõOo̓AhoCX
 */
package diaop.advice;

import java.lang.reflect.Method;

import org.springframework.aop.AfterReturningAdvice;

/**
 * LeaveMethoLogAdvice
 *
 * @author Hiroshi TAKEMOTO
 */
public class LeaveMethodLogAdvice
implements AfterReturningAdvice {
	/* ( Javadoc)
	 * @see org.springframework.aop.AfterReturningAdvice#afterReturning(java.lang.Object, java.lang.reflect.Method, java.lang.Object[], java.lang.Object)
	 */
	public void afterReturning(
		Object returnValue, 
		Method method, 
		Object[] args, 
		Object target)
		throws Throwable {
			System.out.println("leave " + method.getName() 
				+ " return=" + (returnValue != null ? returnValue : "null"));
	}

}
