/*
 * 쐬: 2005/07/07
 *
 */
package diaop.rmi.client;

import java.rmi.Naming;
import java.rmi.RMISecurityManager;

import diaop.rmi.compute.ICompute;

/**
 * ComputePi
 *
 * @author Hiroshi TAKEMOTO
 */
public class ComputeBinOpe {

	public static void main(String[] args) {
		if (System.getSecurityManager() == null) {
			System.setSecurityManager(new RMISecurityManager());
		}
		try {
			String name = "//" + args[0] + "/Computor";
			ICompute comp = (ICompute) Naming.lookup(name);
			BinOpePlus task = new BinOpePlus(Integer.parseInt(args[1]),
											Integer.parseInt(args[2]));
			Integer result = (Integer) (comp.executeTask(task));
			System.out.println(result);
		} catch (Exception e) {
			System.err.println("ComputeBinOpe exception: " + 
							   e.getMessage());
			e.printStackTrace();
		}
	}
}
